export default defineAppConfig({
  pages: [
    "pages/Index/index",
    "pages/User/index",
    "pages/Authentication/index",
    "pages/Feedback/Report/index",
    "pages/Feedback/Record/index",
    "pages/Law/index",
    "pages/Apply/index",
    "pages/ApplyDesc/index",
    "pages/Success/index",
    "pages/Article/index",
    "pages/CommonProblem/index",
    "pages/ServiceLocation/Map/index",
    "pages/ServiceLocation/TypeList/index",
    "pages/Feedback/RecordDetail/index",
  ],

  window: {
    backgroundTextStyle: "light",
    navigationBarBackgroundColor: "#fff",
    navigationBarTitleText: "WeChat",
    navigationBarTextStyle: "black",
  },
  lazyCodeLoading: "requiredComponents",
  requiredPrivateInfos: ["getLocation"],
  permission: {
    "scope.userLocation": {
      desc: "您的位置信息将用于定位服务",
    },
  },

  subpackages: [
    {
      root: "pages/kitchenWaste",
      pages: [
        "index",
        "pages/record/index",
        "pages/addCollection/index",
        "pages/contracted/index",
        "pages/addMerchants/index",
      ],
    },
  ],
});
